package com.jkcredit.sysnews.config;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebConfiguration implements WebMvcConfigurer {
    @Value("${photo.accessResource}")
    private String accessResource;
    @Value("${photo.veritablePath}")
    private String veritablePath;

    private final Logger log = LoggerFactory.getLogger(WebConfiguration.class);

    private final ApplicationProperties applicationProperties;

    public WebConfiguration(ApplicationProperties applicationProperties) {
        this.applicationProperties = applicationProperties;
    }

    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry) {
        registry.addResourceHandler(accessResource + "**").addResourceLocations(veritablePath);
    }
    //http://127.0.0.1:8081/app/page/newsArticles
    //http://127.0.0.1:8081/app/photo/upload
    //http://127.0.0.1:8081/app/images/202003091435211231234.png
    //http://127.0.0.1:8081/app/images/202003091435211231235.png
    //http://127.0.0.1:8081/app/images/202003091435211231236.png

    /*
    application.properties
    jkcredit.news.images.upload.path=/home/news/beans/photo
    jkcredit.news.images.virthr.path=/home/news/beans/photo
    jkcredit.news.access.url=https://127.0.0.1:8081
    jkcredit.news.access.url=https://news.jkcredit.cn




    File mkdir upload.path
    IMAGE /201.png
    ${jkcredit.news.access.url}${/app/images}/201.png



     */

}
